dnl * Sendmail configuration for Relay1

divert(-1)

VERSIONID(`$Id: relay1.mc,v 1.1 2005/09/07 10:30:45 gray Exp $')
OSTYPE(linux)dnl

define(`confCF_VERSION',`Relay1 $Revision: 1.1 $')

# Additional header 
HOrganization: Farlep-Internet
DUsun
Cwsun 

dnl * To eliminate 8->7 bit base64 enconding
define(`SMTP_MAILER_FLAGS',`8')
define(`ALIAS_FILE', `/etc/mail/aliases')

dnl * Do not reveal my version number
define(`confRECEIVED_HEADER',`$?sfrom $s $.$?_($?s$|from $.$_) $.
	by $j$?r with $r$. id $i$?u
	for $u$.; $b')
dnl * Also, disable HELP,VRFY,EXPN
define(`HELP_FILE',`none')
define(`confSMTP_LOGIN_MSG',`$j Sendmail; $b')
define(`confPRIVACY_FLAGS',`authwarnings,novrfy,noexpn,noetrn')

define(`confMAX_MESSAGE_SIZE',`5242880')
define(`confMESSAGE_TIMEOUT',`7d/3d')
define(`confTO_INITIAL',  `5m')
define(`confTO_IDENT',     `25s')
define(`confTO_HELO',     `5m')
define(`confTO_MAIL',     `15m')
define(`confTO_RCPT',     `60m')
define(`confTO_DATAINIT', `5m')
define(`confTO_DATABLOCK',`30m')
define(`confTO_DATAFINAL',`40m')
define(`confTO_RSET',     `5m')
define(`confTO_QUIT',     `2m')
define(`confTO_MISC',     `2m')
define(`confTO_COMMAND',  `30m')
define(`confREFUSE_LA',`16')
define(`confQUEUE_LA',`25')
define(`confMAX_DAEMON_CHILDREN',`256')
define(`confCONNECTION_RATE_THROTTLE',`128')
define(`confCHECK_ALIASES',`False')
define(`confCW_FILE', `-o /etc/mail/sendmail.cw')
define(`confFORWARD_PATH', `$z/.forward:$z/.forward.$w')
define(`confTRY_NULL_MX_LIST')
define(`confDEAD_LETTER_DROP', `/var/spool/mail/dead.letter')
define(`confFALLBACK_MX',`relay1.farlep.net')

define(`STATUS_FILE', `/etc/mail/sendmail.st')

FEATURE(use_cw_file)
FEATURE(redirect)
FEATURE(always_add_domain)
FEATURE(access_db, hash -o /etc/mail/access -T<TMPF>)
FEATURE(mailertable, hash -o /etc/mail/xroutes)
FEATURE(domaintable, hash -o /etc/mail/domains)
FEATURE(virtusertable, hash -o /etc/mail/virtusers)
FEATURE(relay_entire_domain)
FEATURE(blacklist_recipients)
FEATURE(dnsbl,`dialups.mail-abuse.org',` Mail from dial-up rejected; see http://mail-abuse.org/dul/enduser.htm')
FEATURE(dnsbl, `rbl.farlep.net', ` Stop SPAM from this host')
FEATURE(dnsbl, `dyn-rbl.farlep.net', ` E-Cards are not allowed to use SMTP')
FEATURE(dnsbl, `bl.spamcop.net', ` "Spam blocked; see http://spamcop.net/bl.shtml?"$&{client_addr}')

include(`milter.conf')

dnl * *******************************************************
dnl * Defines for local mailer with quota checking
dnl * Current mailbox quota is 5mB
undefine(`LOCAL_MAILER_PATH')
dnl undefine(`_DEF_LOCAL_MAILER_FLAGS')
dnl define(`_DEF_LOCAL_MAILER_FLAGS', `lsDFMA5:/|@q')
dnl define(`LOCAL_MAILER_FLAGS', `SPfhn9')

define(`LOCAL_MAILER_PATH', `/usr/local/libexec/mail.local')
define(`SQL_LOCAL_MAILER_PATH', `/usr/local/libexec/mail.local')
define(`LOCAL_MAILER_ARGS', `mail -q /etc/mail/userquota -S /home/%u/.filter.scm $u')

MAILER(local)

dnl * Other mailers
MAILER(smtp)

dnl * Local configuration
LOCAL_CONFIG
F{Trusted_Hosts}/etc/mail/trusted_hosts
FB/etc/mail/accounts
Kdialup host -T<TEMP>
Kgetpwnam user

Mlocal-sql,	P=/usr/local/libexec/mail.local, F=lsDFMA5:/|@qSPfhn9, S=EnvFromL/HdrFromL, R=EnvToL/HdrToL,
		T=DNS/RFC822/X-Unix,
		A=mail.local -S /var/spool/filter/%u $u


LOCAL_RULESETS

#SLocal_check_mail
#R<>				$#discard

SLocal_check_rcpt
# check address against various regex checks
R$*				$: $>Parse0 $1
R< $* >				$: $1
R$=B @ $m 			$@ $| $>"Local_check_allusers" $1
R$=B @ $=m 			$#error $: "550 Intet slikt bruker"
R$=B @ $=w			$#error $: "550 Intet slikt bruker"

SLocal_check_allusers
# check IP address/sender name
R$*				$: $1:$&{client_addr}:$&f 	
R$={Trusted_Hosts}		$@ OK
R$*				$: ALL:$&{client_addr}:$&f 
R$={Trusted_Hosts}		$@ OK
# anything else is bogus
R$*				$#error $: "550 Ikke tilgjengelig" 

SLocal_localaddr
R$+			$: $1 $| $(getpwnam $1 $: USER $)
R$+ $| USER		$: $>MailerToTriple < local-sql: $1 > $1
R$*			$: $1

